<html>
<head>
	<title>Öklid Algoritması</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<script type="text/javascript" src="jquery-1.10.2.js"></script>
	<link rel="stylesheet" type="text/css" href="bootstrap-3.3.7-dist/css/bootstrap.css">
	<script type="text/javascript" src="bootstrap-3.3.7-dist/js/bootstrap.js"></script>

	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
	<!--<script type="text/javascript" src="MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>-->
	
	<script type="text/x-mathjax-config">
		MathJax.Hub.Config({tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]}});
		MathJax.Localization.setLocale("tr");
	</script>
	<script>
		var WriteFormula = function(divId, TeX) {
			var selector = "#" + divId;
			var selObj = $(selector)
			if(selObj.length > 0){
				var queue = MathJax.Hub.queue;
				var math = MathJax.Hub.getAllJax(divId)[0];
				queue.Push(
					function () { selObj.css('visibility','hidden') },
					//["resetEquationNumbers",MathJax.InputJax.TeX],
					["Text",math,"\\displaystyle{"+TeX+"}"],
					function () { selObj.css('visibility','visible') }
				);
			}
		}
		var AddFormula = function(container, name, tex) {
			var containerSelector = $('#' + container);
			if ($('#' + name).length == 0)
				containerSelector.append("<div id='" + name + "' style='text-align:center; visibility: visible; padding:10;'>");
			else $('#' + name).html("");

			$('#' + name).append($('<script type="math/tex">').text("\\displaystyle{"+tex+"}"));
			MathJax.Hub.Queue(
				//function () { $('#' + name).css('visibility','hidden')
				["Typeset",MathJax.Hub]
				//,function () { $('#' + name).css('visibility','visible') }
			);
		}
	</script>
</head>

<body>

	<h2>Öklid Algoritması</h2>
	<!--<p>
a ve b şeklinde olan iki tam sayının en büyük ortak böleni asal çarpanlarına ayrılarak ve ortak çarpanların en büyüğünü alarak yapabiliriz. Eğer a ve b  büyük sayılarsa bunların asal çarpanlarını bulmak zor olur; bunun sonucunda da en büyük ortak böleni bulmak zorlaşır. Sayılar teorisinin önemli bir araştırma alanı da büyük tamsayıların daha çabuk çarpanlarına ayırma üzerinedir. Eğer a ve b'nin asal çarpanları bilinmiyorsa gcd(a,b)'yi bulmak için hızlı bir yol vardır. O da öklid algoritmasıdır. 
	</p>
	
	<p>
Öklid algoritması şöyle çalışır:
	<table>
		<tr><td>$a>b$ olmak üzere, a, b'ye bölünür. Bölüm $q_1$ ve kalan $r_1$ olsun. </td> <td> $a=bq_1 + r_1$ </td>	</tr>
		<tr><td>İkinci bölme işlemi gerçekleştirilir. $b$, $r_1$'e bölünür ve bölüm $q_2$, kalan ise $r_2$ olur. </td> <td> $b = r_1q_2 + r_2$ /td> </tr>
		<tr><td>Üçüncü olarak $r_1$, $r_2$'ye bölünür ve bölüm $q_3$, kalan ise $r_3$ olur. </td> <td>$r_1 = r_2q_3 + r_3$ </td></tr>
		<tr><td>Son olarak $r_{n-1}$, $r_n$'e bölünür ve bölüm $q_{n+1}$, kalan ise $r_{n+1}=0$ olur </td><td>$r_{n-1} = r_nq_{n+1} + r_{n+1}$</td></tr>
		<tr><td>$r_{n+1}=0$ olduğu için $r_{n}$ değer $a$ ve $b$ tam sayılarının en büyük ortak böleni olur.</td><td>$gdc(a,b)=r_n$</td></tr>
	</table>
	</p>-->
	
	<div id="divConstSecretParams">
		<div class="row" padding="5px" border="1">
			<div class="col-md-2">  <strong>Sayı 1: </strong>  </div>
			<div class="col-md-4">  <input type="text" id="txtNumber1" value="729"/> </div>
		</div>
		<div class="row">
			<div class="col-md-2">  <strong>Sayı 2:</strong>  </div>
			<div class="col-md-4">  <input type="text" id="txtNumber2" value="459"/> </div>
		</div>
		<div class="row">
			<div class="col-md-2"> </div>
			<div class="col-md-4">  <input type="button" id="btnFindGCD" value="En Büyük Ortak Bölen" />  </div>
		</div>
	</div>
	<div id="divResult"></div>

	

	<script type="text/javascript">
		
		$(document).ready(function () {
			$("input[type='button']").click(function (e) {
				if (e.target.id == "btnFindGCD") {

					var n1 = parseInt($('#txtNumber1').val());
					var n2 = parseInt($('#txtNumber2').val());
					
					var max = Math.max(n1, n2);
					var min = Math.min(n1, n2);
					var i = 0;
					var result = 0;
					var text = "\\begin{eqnarray*}";
					do 
					{
						var textBlockName = "result"+i;
						var d = Math.floor(max / min);
						var r = max % min;
						text += max + "&=&" + d + "*" + min + (r != 0 ? ("+" + r) : "") + "\\\\";
						
						max = min;
						min = r;
						result = max;
						i++;
					} while (r > 0);
					
					$("#divResult").html("");
					text += "\\end{eqnarray*}";
					AddFormula("divResult", textBlockName, text);
					
					
					var textBlockName = "resultGCD";
					var text = "\\begin{eqnarray*}";
					text += "EBOB(" + n1 + "," + n2 + ")&=&" + result + "\\\\";
					text += "EKOK(" + n1 + "," + n2 + ")&=&" + (n1 * n2 / result);
					text += "\\end{eqnarray*}";
					AddFormula("divResult", textBlockName, text);
				}
			});
		});
	</script>

</body>

</html>
